<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ReportingTokenInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $reportingTag = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getReportingTag()
    {
        return isset($this->reportingTag) ? $this->reportingTag : '';
    }

    public function hasReportingTag()
    {
        return isset($this->reportingTag);
    }

    public function clearReportingTag()
    {
        unset($this->reportingTag);
    }

    




    public function setReportingTag($var)
    {
        GPBUtil::checkString($var, False);
        $this->reportingTag = $var;

        return $this;
    }

}

